Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.domino
Class Title

    java.lang.Object
      com.compoze.domino.Title

All Implemented Interfaces:
  java.io.Serializable

public class Title
extends java.lang.Object
implements java.io.Serializable

This class implements a title for a contact. A key is used to lookup the readable string from `domino_resource.properties`.

See Also:
  Serialized Form

Field Summary
`static Title` | `DR` This value represents the 'Dr.' title.
`static Title` | `MISS` This value represents the 'Miss' title.
`static Title` | `MR` This value represents the 'Mr.' title.
`static Title` | `MRS` This value represents the 'Mrs.' title.
`static Title` | `MS` This value represents the 'Ms.' title.
`static Title` | `PROF` This value represents the 'Prof.' title.

Constructor Summary
`protected` | `Title(java.lang.String sTitleKey)` Constructor.

Method Summary
`boolean` | `equals(java.lang.Object o)` Checks for equality.
`static Title` | `get(java.lang.String sTitle)` Gets the title.
`static java.util.List` | `getList()` Gets a list of titles.
`java.lang.String` | `getTitle()` Gets the title.
`java.lang.String` | `getTitle(java.util.Locale locale)` Gets the title using the specified locale.
`java.lang.String` | `toString()` Returns a string representation of the object.
`java.lang.String` | `toString(java.util.Locale locale)` Returns a string representation of the object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DR

    public static final Title DR

  This value represents the 'Dr.' title.

### MISS

    public static final Title MISS

  This value represents the 'Miss' title.

### MR

    public static final Title MR

  This value represents the 'Mr.' title.

### MRS

    public static final Title MRS

  This value represents the 'Mrs.' title.

### MS

    public static final Title MS

  This value represents the 'Ms.' title.

### PROF

    public static final Title PROF

  This value represents the 'Prof.' title.

Constructor Detail

### Title

    protected Title(java.lang.String sTitleKey)

  Constructor.

Parameters:
  `sTitleKey` - the key of the title (may not be `null` or empty)

Method Detail

### getTitle

    public java.lang.String getTitle()

  Gets the title.

  Returns:
    the title

### getTitle

    public java.lang.String getTitle(java.util.Locale locale)

  Gets the title using the specified locale.

  Parameters:
    `locale` - the locale
  Returns:
    the title

### get

    public static Title get(java.lang.String sTitle)

  Gets the title.

  Parameters:
    `sTitle` - the title
  Returns:
    the matching title or `null` if not found

### getList

    public static java.util.List getList()

  Gets a list of titles.

  Returns:
    the list of `Title`s (unmodifiable)

### equals

    public boolean equals(java.lang.Object o)

  Checks for equality. An object is considered equal if the title string matches (case insensitive).

  Parameters:
    `o` - the object to check
  Returns:
    `true` if this object is the same as the argument; `false` otherwise

### toString

    public java.lang.String toString()

  Returns a string representation of the object.

  Returns:
    the string representation of the object

### toString

    public java.lang.String toString(java.util.Locale locale)

  Returns a string representation of the object.

  Parameters:
    `locale` - the locale
  Returns:
    the string representation of the object

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.